Subject: [xml2rfc-dev] vague dates, was: [xml2rfc] New xml2rfc release: v2.24.0

From: Julian Reschke <[email-masked]>
Date: Sun, 1 Sep 2019 18:51:12 +0200

On 10.08.2019 17:23, Henrik Levkowetz wrote:
> ...
>    * Tweaked the <date> handling to make year ranges and fuzzy dates possible.
> ...

...as proposed in
<https://tools.ietf.org/html/draft-levkowetz-xml2rfc-v3-implementation-notes-09#section-4.1.3.2>.

I believe this is a good change (and I have implemented in rfc2629.xslt,
see
<https://github.com/reschke/xml2rfc/commit/8596c0ffd14a7743621252d0bbfe0ba3acad1e2e>).

That said, we should clarify:

- that this applies only to <date> below <reference> elements
- what should happen when both text content and attributes are present
(rfc2629.xslt only takes the text content when no non-empty attributes
are present).

One comment on
<https://tools.ietf.org/html/draft-levkowetz-xml2rfc-v3-implementation-notes-09#section-4.1.3.2>:

>    The text regarding prose text for month and year in bibliographic
>    references is not workable.  How should month and year be combined?
>    Some bibliographic references may have date text which requires year
>    first, others year last, and so on.  Mixing the described fuzziness
>    into the otherwise strict year, month, date format makes little sense
>    when the result of combining the year, month and date attributes
>    cannot be predictably and correctly rendered.

That's not a big issue in practice; just cram everything into the year
attribute, and do not set the others. Yes, this is a hack, but it works,
and has been used in the past (I can provide concrete numbers from
AUTH48 if people want to see them).

Final thoughts:

- in theory this could be used for specifying the dates of April 1st
RFCs (but I believe the approach proposed in
<https://github.com/rfc-format/draft-iab-xml2rfc-v3-bis/issues/30> is
better)

- the RFC style guide should be clear about what to do for undated
references, and this ("vague" dates) might be useful for that

Best regards, Julian